net.i2p.client.streaming

## Interface MessageOutputStream.DataReceiver

- All Known Implementing Classes:
    ConnectionDataReceiver
  Enclosing class:
    MessageOutputStream

      public static interface MessageOutputStream.DataReceiver

  Define a component to receive data flushed from this stream

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOutputStream.WriteStatus` | `writeData(byte[] buf, int off, int size)` Nonblocking write
    `boolean` | `writeInProcess()`

- - ### Method Detail

    - #### writeData

          MessageOutputStream.WriteStatus writeData(byte[] buf,
                                                  int off,
                                                  int size)

      Nonblocking write

    - #### writeInProcess

          boolean writeInProcess()